org.eclipse.net4j.util.ui.container

## Class ElementWizard

- java.lang.Object
- - org.eclipse.net4j.util.event.Notifier
  - - org.eclipse.net4j.util.ui.container.ElementWizard

- All Implemented Interfaces:
    INotifier, IElementWizard, ValidationContext

      public abstract class ElementWizard
      extends Notifier
      implements IElementWizard, ValidationContext

  Since:
    3.1
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.util.ui.ValidationContext

      `ValidationContext.Aggregator`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ElementWizard()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Combo` | `addCombo(Composite parent, String label, List<String> choices)`
    `static Combo` | `addCombo(Composite parent, String label, String... choices)`
    `static Label` | `addLabel(Composite parent, String label)`
    `static Text` | `addText(Composite parent, String label)`
    `protected abstract void` | `create(Composite parent)`
    `void` | `create(Composite parent, IManagedContainer container, String productGroup, String factoryType, String defaultDescription, ValidationContext context)`
    `protected IManagedContainer` | `getContainer()`
    `protected String` | `getDefaultDescription()`
    `protected String` | `getFactoryType()`
    `protected String` | `getProductGroup()`
    `String` | `getResultDescription()`
    `Object` | `getResultElement()`
    `protected void` | `setResultDescription(String resultDescription)`
    `void` | `setValidationError(Object source, String message)`

    - ### Methods inherited from class org.eclipse.net4j.util.event.Notifier

      `addListener, fireEvent, fireEvent, fireEvent, fireThrowable, firstListenerAdded, getListeners, getNotificationService, hasListeners, lastListenerRemoved, removeListener`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ElementWizard

          public ElementWizard()

  - ### Method Detail

    - #### getContainer

          protected IManagedContainer getContainer()

    - #### getProductGroup

          protected String getProductGroup()

    - #### getFactoryType

          protected String getFactoryType()

    - #### getDefaultDescription

          protected String getDefaultDescription()

    - #### getResultDescription

          public String getResultDescription()

      Specified by:
        `getResultDescription` in interface `IElementWizard`

    - #### getResultElement

          public Object getResultElement()

      Specified by:
        `getResultElement` in interface `IElementWizard`

    - #### create

          public void create(Composite parent,
                             IManagedContainer container,
                             String productGroup,
                             String factoryType,
                             String defaultDescription,
                             ValidationContext context)

      Specified by:
        `create` in interface `IElementWizard`

    - #### setResultDescription

          protected void setResultDescription(String resultDescription)

    - #### setValidationError

          public void setValidationError(Object source,
                                         String message)

      Specified by:
        `setValidationError` in interface `ValidationContext`

    - #### create

          protected abstract void create(Composite parent)

    - #### addLabel

          public static Label addLabel(Composite parent,
                                       String label)

    - #### addText

          public static Text addText(Composite parent,
                                     String label)

    - #### addCombo

          public static Combo addCombo(Composite parent,
                                       String label,
                                       List<String> choices)

      Since:
        3.2

    - #### addCombo

          public static Combo addCombo(Composite parent,
                                       String label,
                                       String... choices)

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html